Subject: gdb and isatty call
From: [email-masked] (Ian Collins)

1 Dec 1997 23:13:17 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

When I run gdb, isatty always says I do not have a tty.

For example,

#include <stdio.h>
main()
{
	extern int isatty();

	FILE *lf;
	lf = fopen("/usr3/ian/fubar", "w+");
	fprintf(lf, "started\n");
	if (isatty(fileno(stdin))) {
		fprintf(lf, "interactive\n");
	}
	else {
		fprintf(lf, "batch\n");
	}
}

That works fine (or at least as expected) when run interactively or in
batch, but if I run it in gdb (with or without the -nw flag), isatty
thinks I am in batch.

Any ideas? (I'm running NT 4 SP3 with Gnu B18 with latest Sergeys
patches).

Ian Collins. 
KIWIPLAN NZ.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".